%global modname zope.exceptions

%if 0%{?fedora}
%global with_python3 1
%endif

Summary:    Zope Exceptions
Name:       python-zope-exceptions
Version:    4.0.8
Release:    5%{?dist}
Source0:    http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License:    ZPLv2.1
Group:      Development/Libraries
BuildArch:  noarch
URL:        http://pypi.python.org/pypi/zope.exceptions

%description
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%package -n python2-zope-exceptions
Summary:    Zope Exceptions
Group:      Development/Libraries
%{?python_provide:%python_provide python2-zope-exceptions}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-zope-interface4
Requires:       python-zope-interface4
%else
BuildRequires:  python2-zope-interface
Requires:       python2-zope-interface
%endif


%description -n python2-zope-exceptions
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%if 0%{?with_python3}
%package -n python3-zope-exceptions
Summary:    Zope Exceptions
Group:      Development/Libraries
%{?python_provide:%python_provide python3-zope-exceptions}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface

Requires:       python3-zope-interface

%description -n python3-zope-exceptions
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.
%endif

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%{py2_build}
%if 0%{?with_python3}
%{py3_build}
%endif

%install
%{py2_install}
%if 0%{?with_python3}
%{py3_install}
%endif

# As of python-zope-exceptions-4.0.6, the tests require
# python-zope-testrunner which has not yet been packaged.
#%%check
#%%{__python2} setup.py test
#
#%%if 0%%{?with_python3}
#%%{__python3} setup.py test
#%%endif

%files -n python2-zope-exceptions
%defattr(-,root,root,-)
%doc LICENSE.txt CHANGES.rst README.rst COPYRIGHT.txt
%{python2_sitelib}/zope/exceptions/
# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%exclude %{python2_sitelib}/zope/exceptions/tests/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-exceptions
%doc LICENSE.txt CHANGES.rst README.rst COPYRIGHT.txt
%{python3_sitelib}/zope/exceptions/
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%exclude %{python3_sitelib}/zope/exceptions/tests/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.8-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 18 2016 Ralph Bean <rbean@redhat.com> - 4.0.8-4
- Explicit python2 subpackage.
- Modernized python macros.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Sep 19 2015 Ralph Bean <rbean@redhat.com> - 4.0.8-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 4.0.7-1
- Latest uptream.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Ralph Bean <rbean@redhat.com> - 4.0.6-1
- Update to the latest upstream.
- Modernized python3 conditional.
- Renamed CHANGES and README from .txt to .rst.
- Disabled tests which now require python-zope-testrunner.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.5-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 01 2013 Ralph Bean <rbean@redhat.com> - 4.0.3-2
- Require python-zope-interface4 compat package on el6.

* Tue Dec 11 2012 Ralph Bean <rbean@redhat.com> - 4.0.3-1
- Latest upstream.
- Packaged a python3 subpackage.
- Made indentation consistent.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Sep 19 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-6
- Exclude the tests from installation

* Wed Sep 15 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-5
- BR: python-zope-interface added
- Add %%check section and run the tests

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-4
- Own %%{python_sitelib}/zope/

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-3
- Remove python-zope-filesystem from requirements
- Import to Fedora repositories

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-2
- Remove %%clean section
- Remove python-setuptools from requirements
- Remove definitions of Python-related macros 

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-1
- Update to 3.6.1
- Summit review request

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.0-1
- Initial packaging
